org.apache.ode.bpel.pmapi.impl

## Class CommunicationTypeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.pmapi.impl.CommunicationTypeImpl

- All Implemented Interfaces:
    java.io.Serializable, CommunicationType, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

      public class CommunicationTypeImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements CommunicationType

  An XML CommunicationType(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CommunicationTypeImpl.ExchangeImpl` An XML exchange(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
    `static class` | `CommunicationTypeImpl.ServiceConfigImpl` An XML serviceConfig(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.CommunicationType

      `CommunicationType.Exchange, CommunicationType.Factory, CommunicationType.ServiceConfig`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.pmapi.CommunicationType

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommunicationTypeImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommunicationType.Exchange` | `addNewExchange()` Appends and returns a new empty value (as xml) as the last "exchange" element
    `CommunicationType.ServiceConfig` | `addNewServiceConfig()` Appends and returns a new empty value (as xml) as the last "serviceConfig" element
    `CommunicationType.Exchange[]` | `getExchangeArray()` Gets array of all "exchange" elements
    `CommunicationType.Exchange` | `getExchangeArray(int i)` Gets ith "exchange" element
    `javax.xml.namespace.QName` | `getProcessType()` Gets the "processType" element
    `boolean` | `getRollbackOnFault()` Gets the "rollbackOnFault" element
    `CommunicationType.ServiceConfig[]` | `getServiceConfigArray()` Gets array of all "serviceConfig" elements
    `CommunicationType.ServiceConfig` | `getServiceConfigArray(int i)` Gets ith "serviceConfig" element
    `CommunicationType.Exchange` | `insertNewExchange(int i)` Inserts and returns a new empty value (as xml) as the ith "exchange" element
    `CommunicationType.ServiceConfig` | `insertNewServiceConfig(int i)` Inserts and returns a new empty value (as xml) as the ith "serviceConfig" element
    `boolean` | `isSetRollbackOnFault()` True if has "rollbackOnFault" element
    `void` | `removeExchange(int i)` Removes the ith "exchange" element
    `void` | `removeServiceConfig(int i)` Removes the ith "serviceConfig" element
    `void` | `setExchangeArray(CommunicationType.Exchange[] exchangeArray)` Sets array of all "exchange" element WARNING: This method is not atomicaly synchronized.
    `void` | `setExchangeArray(int i, CommunicationType.Exchange exchange)` Sets ith "exchange" element
    `void` | `setProcessType(javax.xml.namespace.QName processType)` Sets the "processType" element
    `void` | `setRollbackOnFault(boolean rollbackOnFault)` Sets the "rollbackOnFault" element
    `void` | `setServiceConfigArray(CommunicationType.ServiceConfig[] serviceConfigArray)` Sets array of all "serviceConfig" element WARNING: This method is not atomicaly synchronized.
    `void` | `setServiceConfigArray(int i, CommunicationType.ServiceConfig serviceConfig)` Sets ith "serviceConfig" element
    `int` | `sizeOfExchangeArray()` Returns number of "exchange" element
    `int` | `sizeOfServiceConfigArray()` Returns number of "serviceConfig" element
    `void` | `unsetRollbackOnFault()` Unsets the "rollbackOnFault" element
    `org.apache.xmlbeans.XmlQName` | `xgetProcessType()` Gets (as xml) the "processType" element
    `org.apache.xmlbeans.XmlBoolean` | `xgetRollbackOnFault()` Gets (as xml) the "rollbackOnFault" element
    `void` | `xsetProcessType(org.apache.xmlbeans.XmlQName processType)` Sets (as xml) the "processType" element
    `void` | `xsetRollbackOnFault(org.apache.xmlbeans.XmlBoolean rollbackOnFault)` Sets (as xml) the "rollbackOnFault" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### CommunicationTypeImpl

          public CommunicationTypeImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getProcessType

          public javax.xml.namespace.QName getProcessType()

      Gets the "processType" element
      Specified by:
        `getProcessType` in interface `CommunicationType`

    - #### xgetProcessType

          public org.apache.xmlbeans.XmlQName xgetProcessType()

      Gets (as xml) the "processType" element
      Specified by:
        `xgetProcessType` in interface `CommunicationType`

    - #### setProcessType

          public void setProcessType(javax.xml.namespace.QName processType)

      Sets the "processType" element
      Specified by:
        `setProcessType` in interface `CommunicationType`

    - #### xsetProcessType

          public void xsetProcessType(org.apache.xmlbeans.XmlQName processType)

      Sets (as xml) the "processType" element
      Specified by:
        `xsetProcessType` in interface `CommunicationType`

    - #### getRollbackOnFault

          public boolean getRollbackOnFault()

      Gets the "rollbackOnFault" element
      Specified by:
        `getRollbackOnFault` in interface `CommunicationType`

    - #### xgetRollbackOnFault

          public org.apache.xmlbeans.XmlBoolean xgetRollbackOnFault()

      Gets (as xml) the "rollbackOnFault" element
      Specified by:
        `xgetRollbackOnFault` in interface `CommunicationType`

    - #### isSetRollbackOnFault

          public boolean isSetRollbackOnFault()

      True if has "rollbackOnFault" element
      Specified by:
        `isSetRollbackOnFault` in interface `CommunicationType`

    - #### setRollbackOnFault

          public void setRollbackOnFault(boolean rollbackOnFault)

      Sets the "rollbackOnFault" element
      Specified by:
        `setRollbackOnFault` in interface `CommunicationType`

    - #### xsetRollbackOnFault

          public void xsetRollbackOnFault(org.apache.xmlbeans.XmlBoolean rollbackOnFault)

      Sets (as xml) the "rollbackOnFault" element
      Specified by:
        `xsetRollbackOnFault` in interface `CommunicationType`

    - #### unsetRollbackOnFault

          public void unsetRollbackOnFault()

      Unsets the "rollbackOnFault" element
      Specified by:
        `unsetRollbackOnFault` in interface `CommunicationType`

    - #### getServiceConfigArray

          public CommunicationType.ServiceConfig[] getServiceConfigArray()

      Gets array of all "serviceConfig" elements
      Specified by:
        `getServiceConfigArray` in interface `CommunicationType`

    - #### getServiceConfigArray

          public CommunicationType.ServiceConfig getServiceConfigArray(int i)

      Gets ith "serviceConfig" element
      Specified by:
        `getServiceConfigArray` in interface `CommunicationType`

    - #### sizeOfServiceConfigArray

          public int sizeOfServiceConfigArray()

      Returns number of "serviceConfig" element
      Specified by:
        `sizeOfServiceConfigArray` in interface `CommunicationType`

    - #### setServiceConfigArray

          public void setServiceConfigArray(CommunicationType.ServiceConfig[] serviceConfigArray)

      Sets array of all "serviceConfig" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setServiceConfigArray` in interface `CommunicationType`

    - #### setServiceConfigArray

          public void setServiceConfigArray(int i,
                                            CommunicationType.ServiceConfig serviceConfig)

      Sets ith "serviceConfig" element
      Specified by:
        `setServiceConfigArray` in interface `CommunicationType`

    - #### insertNewServiceConfig

          public CommunicationType.ServiceConfig insertNewServiceConfig(int i)

      Inserts and returns a new empty value (as xml) as the ith "serviceConfig" element
      Specified by:
        `insertNewServiceConfig` in interface `CommunicationType`

    - #### addNewServiceConfig

          public CommunicationType.ServiceConfig addNewServiceConfig()

      Appends and returns a new empty value (as xml) as the last "serviceConfig" element
      Specified by:
        `addNewServiceConfig` in interface `CommunicationType`

    - #### removeServiceConfig

          public void removeServiceConfig(int i)

      Removes the ith "serviceConfig" element
      Specified by:
        `removeServiceConfig` in interface `CommunicationType`

    - #### getExchangeArray

          public CommunicationType.Exchange[] getExchangeArray()

      Gets array of all "exchange" elements
      Specified by:
        `getExchangeArray` in interface `CommunicationType`

    - #### getExchangeArray

          public CommunicationType.Exchange getExchangeArray(int i)

      Gets ith "exchange" element
      Specified by:
        `getExchangeArray` in interface `CommunicationType`

    - #### sizeOfExchangeArray

          public int sizeOfExchangeArray()

      Returns number of "exchange" element
      Specified by:
        `sizeOfExchangeArray` in interface `CommunicationType`

    - #### setExchangeArray

          public void setExchangeArray(CommunicationType.Exchange[] exchangeArray)

      Sets array of all "exchange" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setExchangeArray` in interface `CommunicationType`

    - #### setExchangeArray

          public void setExchangeArray(int i,
                                       CommunicationType.Exchange exchange)

      Sets ith "exchange" element
      Specified by:
        `setExchangeArray` in interface `CommunicationType`

    - #### insertNewExchange

          public CommunicationType.Exchange insertNewExchange(int i)

      Inserts and returns a new empty value (as xml) as the ith "exchange" element
      Specified by:
        `insertNewExchange` in interface `CommunicationType`

    - #### addNewExchange

          public CommunicationType.Exchange addNewExchange()

      Appends and returns a new empty value (as xml) as the last "exchange" element
      Specified by:
        `addNewExchange` in interface `CommunicationType`

    - #### removeExchange

          public void removeExchange(int i)

      Removes the ith "exchange" element
      Specified by:
        `removeExchange` in interface `CommunicationType`